%define upstream_name    Perl6-Slurp
%define upstream_version 0.051001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Implements the Perl 6 'slurp' built-in
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/Perl6-Slurp-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This package implements the Perl 6 'slurp' built-in.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml MYMETA.yml README demo
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Perl6/Slurp.pm

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.51.1-2.mga3
+ Revision: 371786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.51.1-1.mga3
+ Revision: 286395
- update to 0.051001

* Wed Jul 04 2012 jquelin <jquelin> 0.51.0-1.mga3
+ Revision: 267451
- update to 0.051000

* Fri Feb 24 2012 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 213750
- update to 0.050000

* Fri Jan 21 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 28725
- mageia rebuild
- imported package perl-Perl6-Slurp

